Movable Typeシステム・チェック [mt-check.cgi]

Movable Typeが動作するために必要なPerlモジュールのインストールについての確認と、設定に関するシステムの情報を表示します。

Movable Type システム・チェック:

モジュールの確認: 必要

CGI

サーバーには、CGIがインストールされています。(バージョン: 2.80)

HTML::Template (version >= 2)

サーバーには、HTML::Templateがインストールされています。(バージョン: 2.8)

Image::Size

サーバーには、Image::Sizeがインストールされています。(バージョン: 2.93)

File::Spec (version >= 0.8)

サーバーには、File::Specがインストールされています。(バージョン: 3.40)

CGI::Cookie

サーバーには、CGI::Cookieがインストールされています。(バージョン: 1.20)

モジュールの確認: データ管理

Movable Typeのデータを保存するために、以下のデータベース接続用のモジュールが必要です。Berkeley DB を利用する場合は、DB_Fileモジュールが、SQLデータベースを利用する場合は、DBモジュールと利用するデータベースに対応するDBDモジュールがインストールされている必要があります。

DB_File

サーバーには、DB_Fileがインストールされています。(バージョン: 1.83)

DBI (version >= 1.21)

サーバーには、DBIがインストールされています。(バージョン: 1.627)

DBD::mysql

サーバーには、DBD::mysqlがインストールされています。(バージョン: 4.023)

DBD::Pg (version >= 1.32)

サーバーには、DBD::Pgがインストールされています。(バージョン: 2.19.3)

DBD::SQLite

サーバーには、DBD::SQLiteがインストールされています。(バージョン: 1.39)

DBD::SQLite2

サーバーにDBD::SQLite2がインストールされていないか、DBD::SQLite2に必要なモジュールがインストールされていません DBI and DBD::SQLite2 are required if you want to use the SQLite 2.x database backend. DBD::SQLite2をインストールする場合は、インストール手順を参照してください。

モジュールの確認: オプション

以下のモジュールはオプションです。なくても動作しますが、関連する機能を利用するためにはインストールしておく必要があります。

HTML::Entities

サーバーには、HTML::Entitiesがインストールされています。(バージョン: 3.69)

LWP::UserAgent

サーバーには、LWP::UserAgentがインストールされています。(バージョン: 2.001)

SOAP::Lite (version >= 0.5)

サーバーには、SOAP::Liteがインストールされています。(バージョン: 0.52)

File::Temp

サーバーには、File::Tempがインストールされています。(バージョン: 0.12)

Image::Magick

サーバーには、Image::Magickがインストールされています。(バージョン: 6.78)

Storable

サーバーには、Storableがインストールされています。(バージョン: 2.45)

Crypt::DSA

サーバーにCrypt::DSAがインストールされていないか、Crypt::DSAに必要なモジュールがインストールされていません Crypt::DSAをインストールすると、コメント登録機能を利用するときに、TypeKeyを利用したサインインの動作が高速になります。 Crypt::DSAをインストールする場合は、インストール手順を参照してください。

MIME::Base64

サーバーには、MIME::Base64がインストールされています。(バージョン: 3.13)

XML::Atom

サーバーには、XML::Atomがインストールされています。(バージョン: 0.16)

Movable Typeのシステム・チェックは、無事に完了しました。

準備が整いました。 サーバーには必要なモジュールがすべて揃っています。追加のモジュールのインストールは必要ありません。インストールの説明に従って、次の手順に進んでください。